valgrind (1:3.18.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files
    - Add powerpc fixes. LP: #1916749
    - LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
      configure time option, but that doesn't seem to help.
      Disable LTO for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jan 2022 12:04:17 +0100

valgrind (1:3.18.1-1) unstable; urgency=medium

  * New upstream release
    - Add support for close_range syscall (Closes: #996743)
  * Update d/copyright for renamed file
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 22 Oct 2021 11:18:53 +0100

valgrind (1:3.17.0-1) unstable; urgency=medium

  * New upstream release (Closes: #989691)
  * Drop 12_drop-MPI-1-support.patch (fixed upstream)
  * Drop 14_fix-debuginfo-section-duplicates-a-section-in-the-main-ELF-file.patch (merged upstream)
  * Refresh patches
  * Tools are now installed under libexec
  * Avoid removing old bash completion file in mainscript
  * Avoid marking files executable unnecessarily

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 04 Sep 2021 11:15:47 +0100

valgrind (1:3.17.0-0ubuntu3) impish; urgency=medium

  * d/patches0001-Update-helgrind-and-drd-suppression-libc-and-libpthr.patch,
    d/patches0002-m_debuginfo-debuginfo.c-VG_-get_fnname_kind-_start-i.patch,
    d/patches0003-Generate-a-ENOSYS-sys_ni_syscall-for-clone3-on-all-l.patch,
    d/patches0004-unhandled-ppc64le-linux-syscall-252-statfs64-and-253.patch:
    Backport patches from upstream to improve behaviour with glibc 2.34.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 06 Sep 2021 20:56:30 +1200

valgrind (1:3.17.0-0ubuntu2) impish; urgency=medium

  * d/p/lp-1853271/Bug-432387-z15-support*.patch
    adding support for IBM z15 instructions to Valgrind (LP: #1853271)
  * d/p/0001-s390x-Add-convenience-function-mkV128.patch added in support
    of the z15 patchset.

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 28 Jul 2021 12:23:48 +0200

valgrind (1:3.17.0-0ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
    configure time option, but that doesn't seem to help.
    Disable LTO for now.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:22:21 +0100

valgrind (1:3.16.1-1ubuntu4) hirsute; urgency=medium

  * Add powerpc fixes. LP: #1916749

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2021 16:11:02 +0000

valgrind (1:3.16.1-1ubuntu3) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:22:46 +0000

valgrind (1:3.16.1-1ubuntu2) hirsute; urgency=medium

  * debian/patches/lp-1825343-Bug-404076-s390*.patches
    adding support for IBM z14 instructions to Valgrind
    backported three commits from valgrind > v3.16.1
    Thanks to Andreas Arnez (LP: #1825343)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 10 Feb 2021 20:10:24 +0100

valgrind (1:3.16.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files

  * Dropped changes, applied upstream or in Debian:
    - Don't look for debug alt file in debug image if it is already found.
    - Drop MPI 1 support to fix FTBFS with openmpi 4.0
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
    - Bug 416301 - s390x: Support "compare and signal" instructions.
    - Prevent valgrind trying to use unrecognised z14/z15 instructions.
    - debian/valgrind.install: include /usr/libexec/valgrind which ships
      the dh_view tools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Jul 2020 13:16:53 +0100

valgrind (1:3.16.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Bump debhelper compat level to 13
  * Drop 07_fix-spelling-in-binary.patch (merged upstream)
  * Update 08_fix-spelling-in-manpage.patch
  * Update 11_arm64-cache-flush.patch
  * Refresh patches
  * Drop support for MPI 1 (Closes: #946329)
  * Install dh_view tool.
    Thanks to Sebastien Bacher for the patch. (Closes: #946640)
  * Fix path to vgdb executable in output message (Closes: #942532)
  * Fix debuginfo section duplicates a section in the main ELF file
    (Closes: #942614)
  * Update lintian overrides for renamed tags
  * Remove sgcheck paragraph from copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 28 Jun 2020 18:49:18 +0100

valgrind (1:3.15.0-1ubuntu9) focal; urgency=medium

  * Prevent valgrind trying to use unrecognised z14/z15 instructions. LP:
    #1866211

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 11:34:19 +0100

valgrind (1:3.15.0-1ubuntu8) focal; urgency=medium

  * No-change rebuild for glibc 2.31.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 14:39:58 +0100

valgrind (1:3.15.0-1ubuntu7) focal; urgency=medium

  * Cherry pick upstream commit Bug 416301 - s390x: Support
    "compare and signal" instructions (LP: #1862183)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 06 Feb 2020 15:49:24 +0100

valgrind (1:3.15.0-1ubuntu6) focal; urgency=medium

  * debian/valgrind.install:
    - include /usr/libexec/valgrind which ships the dh_view tools
      (lp: #1856067)
  * debian/rules:
    - use dh_missing --fail-missing to we don't overlook not install files

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Dec 2019 16:18:01 +0100

valgrind (1:3.15.0-1ubuntu5) focal; urgency=medium

  * Drop MPI 1 support to fix FTBFS with openmpi 4.0

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Nov 2019 19:35:25 +0100

valgrind (1:3.15.0-1ubuntu4) focal; urgency=medium

  * Don't look for debug alt file in debug image if it is already found
    (LP: #1848211)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Nov 2019 13:52:54 +0100

valgrind (1:3.15.0-1ubuntu3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:57 +0000

valgrind (1:3.15.0-1ubuntu2) eoan; urgency=medium

  * debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
    unhandled thumb instruction on armhf.  Closes LP: #1837068.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Aug 2019 08:22:37 -0700

valgrind (1:3.15.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
      if we can't find the debug files under the full objpath (including /usr),
      also try the alternative path by stripping out /usr.
  * Dropped changes, which had been cherry-picked from upstream:
    - Cherrypick s390x/z13 fixes from valgrind master (3.15)
    - s390x Fix vector facility bit.
    - ppc64el fix POWER 3.0 addex instruction.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 22:09:50 -0700

valgrind (1:3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump STandards-Version to 4.4.0 (no changes needed)
  * Add additional suppressions for helgrind+drd false positives with glibc 2.28.
    Thanks to Adam Borowski for the patch (Closes: #931315)
  * Fix handling of cache flush instructions on arm64.
    Thanks to Adam Borowski for the patch (Closes: #930708)
  * Remove trailing empty line in changelog
  * Update moved paths in copyright
  * Update 08_fix-spelling-in-manpage.patch
  * Update lintian overrides for dhat
  * Update moved paths in copyright
  * Update 08_fix-spelling-in-manpage.patch
  * Update lintian overrides for dhat

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 14 Jul 2019 11:23:29 +0100

valgrind (1:3.14.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
      if we can't find the debug files under the full objpath (including /usr),
      also try the alternative path by stripping out /usr.
    - Cherrypick s390x/z13 fixes from valgrind master (3.15)
    - s390x Fix vector facility bit.
    - ppc64el fix POWER 3.0 addex instruction.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 11:25:18 -0700

valgrind (1:3.14.0-3) unstable; urgency=medium

  * Add suppressions for helgrind+drd false positives with glibc 2.28.
    Thanks to Adam Borowski (Closes: #918023)
  * Bump debhlper compat level to 12
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Disable dh_dwz for now (seems to cause FTBFS)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 09 Feb 2019 19:14:13 +0000

valgrind (1:3.14.0-2ubuntu6) disco; urgency=medium

  * No-change rebuild against glibc 2.29 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Feb 2019 05:52:20 +0000

valgrind (1:3.14.0-2ubuntu5) disco; urgency=medium

  * ppc64el fix POWER 3.0 addex instruction. LP: #1811071

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Jan 2019 16:29:37 +0000

valgrind (1:3.14.0-2ubuntu4) disco; urgency=medium

  * s390x Fix vector facility bit.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Jan 2019 17:13:06 +0000

valgrind (1:3.14.0-2ubuntu3) disco; urgency=medium

  * Cherrypick s390x/z13 fixes from valgrind master (3.15) LP: #1799696

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jan 2019 12:16:53 +0000

valgrind (1:3.14.0-2ubuntu2) disco; urgency=medium

  * debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
    if we can't find the debug files under the full objpath (including /usr),
    also try the alternative path by stripping out /usr. (LP: #1808508)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 10 Jan 2019 12:06:54 -0500

valgrind (1:3.14.0-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Dec 2018 05:03:28 +0100

valgrind (1:3.14.0-2) unstable; urgency=medium

  * Fix path in dh_shlibdeps argument on non-x86 arches (Closes: #913822)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 15 Nov 2018 17:47:19 +0000

valgrind (1:3.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #913208)
    + Fix assertion `cfsi_fits` failing in simple C program (Closes: #909797)
  * Drop patches backported from upstream
  * Refresh patches
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump debhelper compat level to 11
  * Update install paths
  * Use pkg-config to detect MPI to fix cross-build.
    Thanks to Helmut Grohne for the patch (Closes: #902297)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 15 Nov 2018 00:21:43 +0000

valgrind (1:3.14.0-0ubuntu3) disco; urgency=medium

  * New upstream release.
  * Remove patches applied upstream.
  * Bump debhelper to compat level 9.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Nov 2018 08:25:13 +0100

valgrind (1:3.13.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * backport: Accept read-only PT_LOAD segments and .rodata (Closes: #903389)
    + new patch: 12_Accept-read-only-PT_LOAD-segments-and-.rodata.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 18 Jul 2018 23:21:57 +0200

valgrind (1:3.13.0-2ubuntu6) cosmic; urgency=medium

  * No-change rebuild against glibc 2.28 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Aug 2018 13:14:33 -0700

valgrind (1:3.13.0-2ubuntu5) cosmic; urgency=medium

  * Backport fix for ld -z separate-code.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 15:36:54 +0200

valgrind (1:3.13.0-2ubuntu4) cosmic; urgency=medium

  * Apply post 3.13 PPC64 related patches. LP: #1781128.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jul 2018 09:40:44 +0200

valgrind (1:3.13.0-2ubuntu3) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 17:05:08 +0000

valgrind (1:3.13.0-2ubuntu2) bionic; urgency=medium

  * No-change rebuild against glibc 2.27 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Feb 2018 22:52:04 -0800

valgrind (1:3.13.0-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped patches applied in Debian:
    - Fix typo, syscall param epoll_pwait(sigmask) points to unaddressable
      byte(s). LP 1726711.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Jan 2018 20:55:02 +0100

valgrind (1:3.13.0-2) unstable; urgency=medium

  * Fix handling command line option --xml-socket (Closes: #870419)
  * Fix handling of epoll_pwait with a NULL sigmask (Closes: #886364)
  * Set valgrind-dbg Priority to optional as per new policy
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Point Vcs-* to salsa.d.o
  * Fix insecure-copyright-format-uri
  * Fix unnecessary-testsuite-autopkgtest-header
  * Install pkg-config file to multi-arch location.
    Thanks to Helmut Grohne for the patch (Closes: #885003)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Jan 2018 23:09:13 +0000

valgrind (1:3.13.0-1ubuntu3) artful-proposed; urgency=medium

  * SRU: Fix typo, syscall param epoll_pwait(sigmask) points to unaddressable
    byte(s). LP: #1726711.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Oct 2017 11:56:21 +0200

valgrind (1:3.13.0-1ubuntu2) artful; urgency=medium

  * No-change rebuild against glibc 2.26 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Sep 2017 16:42:57 -0700

valgrind (1:3.13.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped patches included in new version:
    - debian/patches/CVE-2016-4491.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2017 11:16:48 -0400

valgrind (1:3.13.0-1) unstable; urgency=medium

  * New upstream release
    - Fix segfaults on MIPS Cavium Octeon boards (Closes: #854194)
    - Support compressed debuginfo sections (Closes: #677876)
  * Update watch file to point to new download site
  * Update Standards-Version to 4.0.0 (no changes needed)
  * Refresh patches
  * Remove Roland Stigge from Uploaders since he retired (Closes: #843367)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 24 Jul 2017 00:41:05 +0100

valgrind (1:3.12.0-1.1ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: denial of service via infinite recursion
    - debian/patches/CVE-2016-4491.patch: limit recursion in
      coregrind/m_demangle/cp-demangle.c, coregrind/m_demangle/demangle.h.
    - CVE-2016-4491

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Jun 2017 13:43:20 -0400

valgrind (1:3.12.0-1.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 22:41:55 -0700

valgrind (1:3.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove the -mips2 on mips/mipsel that is
    no longer required and now causes FTBFS. (Closes: #852306)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Feb 2017 22:27:56 +0200

valgrind (1:3.12.0-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped changes, included upstream:
    - Cherry-pick upstream patch to fix assertions on arm.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Nov 2016 10:09:58 -0800

valgrind (1:3.12.0-1) unstable; urgency=medium

  * New upstream release
    - Fix incorrect assertion re sizeof TTEntryC on arm-linux
      (Closes: #838203)
  * Update and refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 03 Nov 2016 01:53:11 +0000

valgrind (1:3.12.0~svn20160714-1ubuntu3) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:59:45 +0000

valgrind (1:3.12.0~svn20160714-1ubuntu2) yakkety; urgency=medium

  * Cherry-pick upstream patch to fix assertions on arm. LP: #1612429

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 23:18:04 +0100

valgrind (1:3.12.0~svn20160714-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1567219) remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

  * Reintroduce universe/valgrind-mpi package, as archive reorg is done.
  * Drop s390x patches, applied upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 14:10:25 +0100

valgrind (1:3.12.0~svn20160714-1) unstable; urgency=medium

  * New upstream snapshot release
    - Add support for compressed debuginfo (Closes: #810295)
  * Drop MIPS patches (merged/fixed upstream)
  * Refresh patches
  * Add smoke test for autopkgtest
    Thanks to dann frazier for the patch (Closes: #819813)
  * Update 07_fix-spelling-in-binary.patch
  * Update Standards-Version to 3.9.8 (no changes needed)
  * Update Vcs-* URLs

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 15 Jul 2016 00:15:43 +0100

valgrind (1:3.11.0-1ubuntu5) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Apr 2016 13:14:26 +0100

valgrind (1:3.11.0-1ubuntu4) xenial; urgency=medium

  * Add additional fix required for popcnt support. LP: #1569391.

 -- dann frazier <dannf@ubuntu.com>  Tue, 12 Apr 2016 10:40:46 -0500

valgrind (1:3.11.0-1ubuntu3) xenial; urgency=medium

  * Fixes for s390x, LP: #1563420:
    - 15_s390x-HWCAP-mask.patch: Suppress advertising features
      in HWCAP that are unsupported by valgrind.
    - 16_s390x_popcnt-insn.patch: Add support for popcnt instruction.
    - 17_s390x-splitout-socketcalls.patch: Support individual socket
      syscalls, which were split out from socketcall in Linux 4.3.
  * 18_s390x-support-RISBGN-insn.patch: Fix issue with binaries
    compiled for zEC12 or higher, such as Ubuntu's dynamic loader.
    LP: #1556765.
  * Add smoke test for autopkgtest.

 -- dann frazier <dannf@ubuntu.com>  Fri, 01 Apr 2016 19:16:07 +0000

valgrind (1:3.11.0-1ubuntu2) xenial; urgency=medium

  * Rebuild for glibc-2.23. LP: #1435261.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Mar 2016 16:06:17 +0100

valgrind (1:3.11.0-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 13:06:33 +0200

valgrind (1:3.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #800013)
    - Fix false positives on socket calls with not specially handled address
      families (Closes: #798543)
  * Update 07_fix-spelling-in-binary.patch
  * Drop 12_kernel-4.0.patch and 13_glibc-check.patch (merged upstream)
  * Refresh patches
  * Disable stack protector to avoid build failure
  * Fix empty-short-license-in-dep5-copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 25 Sep 2015 13:40:57 +0200

valgrind (1:3.10.1-4) unstable; urgency=medium

  * Drop bash completion file (Closes: #789627)
    bash-completion provides valgrind completion as well
  * Add 14_mips-fpxx.patch to make valgrind compatible with MIPS FPXX ABI
    (Closes: #789665)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Jun 2015 14:14:44 +0200

valgrind (1:3.10.1-3) unstable; urgency=medium

  * Add suppression for OpenMP and libgomp (Closes: #783685)
  * Add 12_kernel-4.0.patch to fix FTBFS on Linux >= 4.0 (Closes: #783504)
  * Add 13_glibc-check.patch to generalize glibc version check
  * Install bash completion into the proper directory

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Jun 2015 19:24:31 +0200

valgrind (1:3.10.1-2) unstable; urgency=medium

  * Use -mips2 on mips too (not just mipsel) (Closes: #777666)
  * Determine page size at runtime on MIPS (Closes: #777669)
  * Disable the MIPS linker workarounds when using -Ttext-section.
    Thanks to James Cowgill for the patch (Closes: #777704)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 25 Apr 2015 13:10:13 +0200

valgrind (1:3.10.1-1ubuntu3) wily; urgency=medium

  * Build with GCC fixing PR target/65456. LP: #1434222.
  * Fix DCACHEBSIZE and HWCAP2 issues. LP: #1428002.
  * Fix bash command completion to respect end of options argument (--).
    LP: #840467.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 09:48:13 +0200

valgrind (1:3.10.1-1ubuntu2) vivid; urgency=medium

  * Build for glibc-2.21. LP: #1435261.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Mar 2015 22:10:58 +0100

valgrind (1:3.10.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2015 09:25:34 +0100

valgrind (1:3.10.1-1) unstable; urgency=medium

  * New upstream release
  * Install all header files again, they are needed to build third-party
    plugins (Closes: #771900)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 31 Jan 2015 22:00:31 +0100

valgrind (1:3.10.0-4) unstable; urgency=medium

  * Call dh_shlibdeps unconditionally

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 16 Nov 2014 10:52:29 +0100

valgrind (1:3.10.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix changelog typo (Closes: #768303)
  * Fix note about instrumenting i386 binaries on amd64 (Closes: #768412)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 14 Nov 2014 12:46:30 +0100

valgrind (1:3.10.0-2) unstable; urgency=medium

  * Add note in README.Debian about instrumenting i386 executables on amd64
  * Avoid Depends: libc-i386 on valgrind:amd64 (Closes: #762386)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 05 Nov 2014 20:56:12 +0100

valgrind (1:3.10.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream:
    - 10_fix-memcheck-manual.patch
    - 11_track-af_inet6.patch
    - 12_glibc-2.19.patch
    - 13_xabort.patch
  * Refresh the remaining patches
  * Build on arm64 and ppc64el
  * Fix wildcard-matches-nothing-in-dep5-copyright
  * Fix another spelling-error-in-manpage

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 21 Sep 2014 12:04:17 +0200

valgrind (1:3.10.0-0ubuntu1) utopic; urgency=medium

  * Upstream release 3.10.0.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2014 14:53:34 +0200

valgrind (1:3.10.0~BETA2-0ubuntu1) utopic; urgency=medium

  * Upstream release 3.10.0 BETA2. LP: #1355530.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Sep 2014 03:25:01 +0200

valgrind (1:3.10~20140411-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140411. LP: #1300070.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Apr 2014 13:07:13 +0200

valgrind (1:3.10~20140329-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 20140329.
  * Build for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Mar 2014 12:02:06 +0100

valgrind (1:3.9.0-7) unstable; urgency=medium

  * Remove index() Debian-specific suppressions (not needed anymore)
  * Add 13_xabort.patch to add support for XABORT (Closes: #754496)
  * Switch to dh-autoreconf
  * No need to patch 'configure' as well as 'configure.ac' due to autoreconf

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 23 Jul 2014 11:47:13 +0200

valgrind (1:3.9.0-6) unstable; urgency=medium

  * Improve misleading note about suppressions in README.Debian
  * Add note about valgrind-dbg Recommends in README.Debian
  * Add 12_glibc-2.19.patch to fix build against glibc 2.19 (Closes: #751701)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Jun 2014 20:20:54 +0200

valgrind (1:3.9.0-5) unstable; urgency=medium

  * Add 10_fix-memcheck-manual.patch (Closes: #736994)
  * Add suppressions to avoid errors from index() with newer libc
  * Add 11_track-af_inet6.patch to fix AF_INET6 sockets tracking
    (Closes: #733119)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 23 Feb 2014 20:04:38 +0100

valgrind (1:3.9.0-4ubuntu4) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 20:29:02 +0100

valgrind (1:3.9.0-4ubuntu3) trusty; urgency=medium

  * Add support for glibc-2.19.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 16:56:18 +0100

valgrind (1:3.9.0-4ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2014 08:21:30 +0100

valgrind (1:3.9.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: valgrind-dev on valgrind

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:46:58 +0100

valgrind (1:3.9.0-3) unstable; urgency=medium

  * Revert the move of the headers and pkg-config file to valgrind-dev
    (cfr: #731228) (Closes: #732239)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 16 Dec 2013 00:20:48 +0100

valgrind (1:3.9.0-2) unstable; urgency=medium

  * Remove valgrind.manpages (manpages are installed anyway)
  * Build on mips64 and mips64el (Closes: #729040)
  * Add 09_fix-armhf-detect.patch to fix FTBFS on armhf (Closes: #730844)
  * Move headers and pkg-config file to valgrind-dev (Closes: #731228)
    See Debian.NEWS for more info
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Dec 2013 19:28:22 +0100

valgrind (1:3.9.0-1) unstable; urgency=low

  * New upstream release
  * Drop patches merged/fixed upstream:
    - 01_more-vg-n-segments.patch
    - 09_valgrind-listener-manpage.patch
    - 10_unbreak-xinclude-in-manpage.patch
    - 11_glibc-2.17.patch
    - 12_bcopy.patch
    - 13_pthread-cond-init.patch
  * Refresh patches
  * Update 08_fix-spelling-in-manpage.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Nov 2013 20:54:28 +0100

valgrind (1:3.8.1-6) unstable; urgency=low

  * Only install BSD-licensed header files (Closes: #725223)
  * Fix lintian vcs-field-not-canonical
  * Do not install/use outdated and useless debian-libc6-dbg.supp anymore
  * Add note in README.Debian about installed suppression files
    (Closes: #725522)
  * Do not build on armel anymore (Closes: #720409)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 31 Oct 2013 11:34:53 +0100

valgrind (1:3.8.1-5ubuntu2) trusty; urgency=medium

  * Build for glibc-2.18.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Dec 2013 09:47:10 +0100

valgrind (1:3.8.1-5ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 13:42:46 -0700

valgrind (1:3.8.1-5) unstable; urgency=low

  * Enable build on x32 architecture (Closes: #718368)
  * Instrument pthread_cond_init() in Helgrind (Closes: #723699)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Sep 2013 13:01:22 +0200

valgrind (1:3.8.1-4ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 21:03:30 +0100

valgrind (1:3.8.1-4) unstable; urgency=low

  * Build with -mips2 on mipsel.
    Thanks to Fuxin Zhang (Closes: #710307)
  * Add 12_bcopy.patch (Closes: #691109)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 01 Jun 2013 15:51:47 +0200

valgrind (1:3.8.1-3ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Allow specification of an extra directory in which to look for
      debuginfo objects.
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
      implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction
      shows up quite frequently in desktop components.
  * Drop remaining ppc64 patches; we no longer care about this in Ubuntu,
    and valgrind seems to build fine on Debian ppc64.
  * Renumber Ubuntu patches to make future merges easier.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 11:09:43 +0100

valgrind (1:3.8.1-3) unstable; urgency=low

  * Add 11_glibc-2.17.patch to fix FTBFS with glibc 2.17 (Closes: #707438)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 10 May 2013 18:10:39 +0200

valgrind (1:3.8.1-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Quote LD_LIBRARY_PATH in the wrapper script to avoid errors with spaced
    paths (LP: #880685)
  * Enable support for mipsel too (Closes: #696850)
  * Add suppression for dlopen() leak when linking with -lpthread
    (Closes: #700899)

  [ Samuel Bronson ]
  * Allow building more than once from the same tree
    - Build and ship FAQ.txt from sources, since the bundled copy is deleted
      on "make clean"
  * Drop docs/valgrind.1 changes from 08_fix-spelling-in-manpage.patch
  * Add 10_unbreak-xinclude-in-manpage.patch to fix a broken XInclude
    (Closes: #696694)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 20 Feb 2013 11:21:07 +0100

valgrind (1:3.8.1-1ubuntu5) raring; urgency=low

  * Apply patch from https://bugs.kde.org/show_bug.cgi?id=308717,
    implementing fixed-point VCVT.F64.[SU]32 on ARM.  This instruction shows
    up quite frequently in desktop components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 15:41:11 +0000

valgrind (1:3.8.1-1ubuntu4) raring; urgency=low

  * Backport from upstream:
    - Accept glibc 2.17 as valid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 13:36:30 +0000

valgrind (1:3.8.1-1ubuntu3) raring; urgency=low

  * Don't strip vgpreload* on ARM; this results in unusable stack traces.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2013 11:37:18 +0000

valgrind (1:3.8.1-1ubuntu2) raring; urgency=low

  * Drop the dh-autoreconf delta, we no longer need this for Ubuntu.
  * Lower over-inflated valgrind-dbg Recommends to Suggests instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 16 Dec 2012 07:53:19 -0700

valgrind (1:3.8.1-1ubuntu1) raring; urgency=low

  [ Alex Chiang ]
  * Merge from Debian unstable.
    - Drop all Ubuntu patches, as they have been applied upstream or are
      carried in Debian with similar names.
    - Drop documentation on creating snapshots in debian/copyright, doesn't
      seem necessary anymore.
    Remaining changes:
    - Use dh-autoreconf instead of autotools-dev.
    - Add ppc64 support:
      . Build-dep on gcc-multilib and libc6-dev-powerpc on ppc64
  * 10_extra-debuginfo-path.patch: allows specification of an extra directory
    in which to look for debuginfo objects.

  [ Adam Conrad ]
  * Remove valgrind-mpi package from Ubuntu and any references to it, as
    mpi-default-dev is in universe for the time being (Reverts: #565139)

 -- Alex Chiang <achiang@canonical.com>  Tue, 11 Dec 2012 22:56:07 -0800

valgrind (1:3.8.1-1) unstable; urgency=low

  * New upstream release
  * Update 02_version.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 19 Sep 2012 19:59:34 +0200

valgrind (1:3.8.0-1) unstable; urgency=low

  * New upstream release
    - Increase maximum allowed alignment for memalign (Closes: #489297)
    - Support for Intel AVX instructions (Closes: #655468)
    - Fix some C++ template symbols demangling (Closes: #493284)
  * Fix debian.supp madness (Closes: #661523):
    - Remove python suppressions from debian.supp
      (already provided by the python package)
    - Remove outdated suppressions from debian.supp
      (i.e. those matching old libraries)
    - Remove useless suppressions and clean-up remaining
  * Update upstream copyright
  * Enable support for mips
  * Drop 06_fix-configure.patch (fixed upstream)
  * Refresh patches
  * Update 07_fix-spelling-in-binary.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 11 Aug 2012 14:24:56 +0200

valgrind (1:3.7.0-6) unstable; urgency=low

  * Explicitly pass -I/usr/include/$(DEB_HOST_GNU_TYPE) compiler flag
    (Closes: #676029)
  * Remove ${shlibs:Depends} from valgrind-dbg depends

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 05 Jun 2012 12:35:02 +0200

valgrind (1:3.7.0-5) unstable; urgency=low

  * Build on ppc64 too (Closes: #672481)
  * Update short and long descriptions
  * Remove not-needed Provides/Conflicts on valgrind-callgrind
  * No need to merge xfree-4.supp into debian.supp: it is already provided
    by default.supp
  * Enable mpiwrap module (Closes: #565139)
    - Add new valgrind-mpi package
    - valgrind Suggests valgrind-mpi
  * Clean-up rules' dh_install override
  * Add valgrind-dbg package (cf. #475562)
    - valgrind Recommends valgrind-dbg
  * Remove unused lintian overrides
  * Update debian/copyright using Copyright-Format 1.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 17 May 2012 22:03:08 +0200

valgrind (1:3.7.0-4) unstable; urgency=low

  [ Pierre Habouzit ]
  * Remove myself as a Maintainer, pass the package to Alessandro.

  [ Alessandro Ghedini ]
  * Remove versioned build depends already satisfied in stable
  * Bump Standards-Version to 3.9.3
  * Add debian/watch
  * Pass CPPFLAGS and LDFLAGS from dpkg-buildflags too
  * Replace UNRELEASED with unstable in debian/{changelog,NEWS} entry for
    3.6.1-5 (fixes debian-news-entry-has-strange-distribution)
  * Add 0007-fix-spelling-in-binary.patch
  * Add 0008-fix-spelling-in-manpage.patch
  * Add more DEP3 headers to the patches
  * Remove useless debian/dirs file
  * Use dh_bash-completion to install bash completion file
  * Use debian/clean file instead of overriding dh_clean
  * Register HTML manual with doc-base
  * Install NEWS as upstream changelog
  * Add Roland to Uploaders
  * Fix typo in long description (Closes: #643834)
  * Provide a valgrind-listener manpage
    - Add 0009-valgrind-listener-manpage.patch
      Thanks to Cristian Greco (Closes: #632822)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 11 May 2012 17:09:35 +0200

valgrind (1:3.7.0-3) unstable; urgency=low

  * Set myself as maintainer of valgrind, removing Andrés on his request.
    Thanks for the more than 7 years of maintenance Andrés!
  * Add s390x to the Architecture field (Closes: 640154).
  * Remove s390 that isn't supported upstream anymore.
  * Make valgrind believe it's cross compiled so that it builds on armel
    (hopefully), fix configure to deal with gcc version check properly
    (patches/0006-fix-configure.patch).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Feb 2012 11:28:32 +0100

valgrind (1:3.7.0-2) unstable; urgency=low

  * Fix callgrind_control that should look for valgrind.bin and not
    "valgrind". Closes: 659215. Thanks to Martin Apel.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 10 Feb 2012 14:16:17 +0100

valgrind (1:3.7.0-1) unstable; urgency=low

  * New upstream release.
  * refresh 0002-version.patch.
  * Drop patches merged upstream:
    - 0005-catch-manpages-errors.patch
    - 0007-implement-extra-dwarf-ops-gcc-461.patch
    - 0008-configure-support-linux-3.patch

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 21 Dec 2011 16:28:29 +0100

valgrind (1:3.7.0-0ubuntu4) quantal; urgency=low

  * fix-buffer-overflows.patch: fix overflows in vgdb
  * 05_fix-callgrind_control.patch: fix valgrind process name (LP: #1036283)
  * fix-VEX-PCMPxSTRx.patch: fix strstr handling (LP: #1027977)

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 20:16:28 +0200

valgrind (1:3.7.0-0ubuntu3) precise; urgency=low

  * Add uinput ioctl wrappers to fix false positive errors. (LP: #958095)
    - Add 0011-uinput-ioctls.patch.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 17 Mar 2012 12:29:21 -0700

valgrind (1:3.7.0-0ubuntu2) precise; urgency=low

  * Allow glibc 2.15 in the configure checks. (LP: #934127)
    - Add 0009-glibc-215.patch, cherry-picked from upstream.
    - Add 0010-automake-1.11.2.patch by Gregorio Guidi.
    - Use dh-autoreconf instead of autotools-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 17 Feb 2012 15:06:23 +0200

valgrind (1:3.7.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Drop patches that are applied upstream or no longer relevant:
        0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch
        0005-catch-manpages-errors.patch
        0007-implement-extra-dwarf-ops-gcc-461.patch
        0008-configure-support-linux-3.patch
  * debian/rules: No longer pass -marm, it now builds in Thumb mode on ARM.

 -- Jani Monoses <jani@ubuntu.com>  Fri, 06 Jan 2012 19:01:30 +0200

valgrind (1:3.6.99svn12003-1) experimental; urgency=low

  * Package a pre 3.7.0 snapshot (up to r12003 on 20110828).
  * Includes GCC-4.6 DWARF2 fixes hence Closes: 632666 on experimental as
    well.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 28 Aug 2011 23:14:32 +0200

valgrind (1:3.6.99svn11761-1) experimental; urgency=low

  * Package a pre 3.7.0 snapshot (up to r11761 on 20110517).
  * 3.7.0 comes with a gdbserver features which mitigates the following bugs:
      - Gdb interactions are simpler and avoid issues due to embedding
        (Closes: 309406, 270066, 351823)
      - this comes with better handling of registers (Closes: 576236).
      - 3.7.0 has a s390x port, so enable it as an architecture and see where
        it goes.
  * remove 0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch since upstream
    now integrates those changes.
  * lintian fixes:
      - add overrides for sgcheck binaries and DSO.
      - update debhelper version depends to 7.0.50~ as suggested.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 17 May 2011 08:47:28 +0200

valgrind (1:3.6.1-6ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:29:15 -0700

valgrind (1:3.6.1-6ubuntu1) precise; urgency=low

  * Drop lpia support.
  * Drop 60_thumb-sigill-fixes dpatch; we're building in ARM mode and Thumb
    support was implemented upstream differently.
  * Merge with Debian testing/unstable:
    - Drop all Ubuntu dpatches, added in Debian as regular patches.
    - Use DEB_HOST_ARCH_CPU instead of DEB_HOST_GNU_CPU to check the host CPU
      for consistency with armv7 checks in rules.
    - Drop noopt rules snippet; should be fixed with new dh-based rules.
    Remaining changes:
    - Add ppc64 support:
      . Build-dep on gcc-multilib and libc6-dev-powerpc on ppc64
      . Add ppc64 to valgrind's Architecture list.
    - Update documentation on creating snapshots in debian/copyright and add
      debian/valgrind-docs-build.diff to help creating these (works around an
      issue with building the docs during make dist).
    - Pass -marm in CFLAGS when DEB_HOST_GNU_CPU is arm, but add note that
      this is fixed upstream and point at KDE #247978.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 17 Oct 2011 14:41:02 +0200

valgrind (1:3.6.1-6) unstable; urgency=low

  * Upload with maintainer's consent.

  * debian/patches/0007-implement-extra-dwarf-ops-gcc-461.patch:
    + Added; from upstream r11856, makes valgrind work again with binaries
      built with recent gcc versions (Closes: #632969).
  * debian/patches/0008-configure-support-linux-3.patch:
    + Added; from upstream r11796, add support for Linux 3.x to configure
      script (Closes: #633094).

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 Jul 2011 22:28:11 +0200

valgrind (1:3.6.1-5) unstable; urgency=low

  * debian/rules:
      - use autotools-dev dh_autotools-dev_updateconfig.
      - do now strip under /usr/lib/valgrind (Closes: 475562).
      - use dh 7 to reduce debian/rules cruft.
  * Add armhf to the supported architectures.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 23 May 2011 16:00:59 +0200

valgrind (1:3.6.1-4) unstable; urgency=low

  * Fix patches/0004-allow-or-quoting-of-strings-in-.valgrindrc.patch: out was
    copied too early leading to bad option parsing in case of leading spaces
    (Closes: 626486, 626496).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 19:44:22 +0200

valgrind (1:3.6.1-3) unstable; urgency=low

  * update 0002-version.patch to loosen the checks on the arm version
    (Closes: 592614).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 May 2011 13:35:29 +0200

valgrind (1:3.6.1-2) unstable; urgency=low

  * Enable valgrind build on armel (Closes: 592614):
      - s/arm/armel/ in debian/control;
      - build for armv7 since valgrind doesn't support older arm CPUs,
        thanks to Loïc Minier for the implementation details.
  * Add 0004-allow-or-quoting-of-strings-in-.valgrindrc.patch to allow parsing
    of options with spaces in ~/.valgrindrc (Closes: 507236).
  * Catch manpages build failures (Closes: 599563) thanks to Stefano Rivera.
  * Add suppression for __nss_database_lookup leaks in debian.supp
    (Closes: 598870).
  * String things not under /usr/lib/valgrind (Closes: 475562), document into
    the lintian-overrides why it shouldn't be stripped, namely
    http://valgrind.org/docs/manual/dist.readme-packagers.html.
  * Add 0006-workaround-SIGSEGV-on-PPC.patch to workaround PPC SIGSEGV
    (Closes: 603961).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 May 2011 23:12:23 +0200

valgrind (1:3.6.1-1) unstable; urgency=low
  * Migrate to format 3.0 (quilt):
      - use upstream .tar.bz2 directly;
      - migrate patches from dpatch to debian/patches/*.
      - valgrind builds twice in a row (Closes: 549554).
  * Add myself to Uploaders.
  * New upstream release (Closes: 622586, 625180).
  * Add patches/0003-prevent-gcc-4.6-warnings-with-valgrind.h.patch to prevent
    warnings about set but unused variables with gcc-4.6.
  * debian/control:
      - Bump standards version (no changes needed).
      - Add VCS-* Headers.
      - Add Homepage Header.
  * Lintian fixes:
      - Add missing ${misc:Depends} in debian/control.
      - fix debian-rules-ignores-make-clean-error.
      - migrate to dh_lintian for overrides, and update them.
      - remove article from debian/control Description.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 09 May 2011 22:55:27 +0200

valgrind (1:3.6.1-0ubuntu3) oneiric; urgency=low

  * New dpatch, 71_linux-3-support, fixes FTBFS on 3.x kernels (as checked
    with `uname -r` during build, so doesn't yet affect Ubuntu buildds); from
    SVN r11796 and r11797; LP: #868004.  Refresh autoconf patch.
  * Rename files and update series to use *.dpatch consistently.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 05 Oct 2011 12:09:53 +0200

valgrind (1:3.6.1-0ubuntu2) oneiric; urgency=low

  * New dpatch 70_gcc-4.6.1-dwarf-ops_svn-r11856, cherry-picked from SVN
    r11856; adds support for some DWARF ops that GCC 4.6.1 seems to use
    (KDE #275284).
  * Sort patches by patch number in 00list.

 -- Loïc Minier <loic.minier@linaro.org>  Tue, 05 Jul 2011 12:07:20 +0200

valgrind (1:3.6.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - support for glibc 2.13, fixes FTBFS on all archs.
  * debian/patches/70_thumb2_fix.dpatch: Drop, included upstream.
  * debian/patches/02_version.dpatch: 
  * debian/patches/99_autoreconf.dpatch: Update.

 -- Jani Monoses <jani@ubuntu.com>  Sun, 27 Feb 2011 20:24:35 +0200

valgrind (1:3.6.0-0ubuntu3) natty; urgency=low

  * Build on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2011 19:49:23 +0000

valgrind (1:3.6.0-0ubuntu2) natty; urgency=low

  * debian/patches/70_thumb2_fix.dpatch: Fix unhandled instruction
    case which prevents running valgrind on Thumb2 armel binaries
    linked to system libraries.

 -- Jani Monoses <jani@ubuntu.com>  Sat, 22 Jan 2011 00:23:11 +0200

valgrind (1:3.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
    * Refresh 02_version.dpatch, 99_autoreconf.dpatch.
    * Drop 91_build_with_fno_stack_protector.dpatch, integrated upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2010 19:32:50 +0000

valgrind (1:3.6.0~svn20100724-0ubuntu2) maverick; urgency=low

  * Remove BUILD_ALL_DOCS=no snippet from rules; this isn't needed anymore as
    texlive-base got fixed.
  * Pass CFLAGS to configure, and also to make due to KDE #247980 -- the make
    part really needs to be reverted as it requires duplicating the upstream
    flags right now.
  * Honor noopt in DEB_BUILD_OPTIONS by passing -O0 in CFLAGS when noopt is
    present.
  * Pass -marm in CFLAGS when DEB_HOST_GNU_CPU is arm; works around new FTBFS
    on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 15 Aug 2010 19:55:28 +0200

valgrind (1:3.6.0~svn20100724-0ubuntu1) maverick; urgency=low

  * New upstream snapshot.
    - Supports GLIB 2.12; LP: #602132.
    - Drop dpatch 01_pcm-ioctl; fixed upstream slighlty differently; see
      KDE #227325.
    - Drop dpatch 01_more-vg-n-threads; merged upstream.
    - Drop dpatch 80_splice_backport; merged upstream.
    - Update dpatch 99-autoreconf.
    - Update documentation on creating snapshots in debian/copyright and add
      debian/valgrind-docs-build.diff to help creating these (works around an
      issue with building the docs during make dist).

 -- Loïc Minier <lool@dooz.org>  Sun, 15 Aug 2010 10:54:00 +0200

valgrind (1:3.6.0~svn20100212-0ubuntu5) lucid; urgency=low

  * No-change rebuild to get the package picked up for building on armel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2010 16:04:59 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu4) lucid; urgency=low

  * New dpatch, 60_thumb-sigill-fixes, from upstream KDE #231108, fixes
    SIGILLs on startup when build in Thumb mode.  This allows valgrind-ing
    simple ARM-mode binaries, but supporting Thumb-mode binaries requires much
    larger changes; LP: #537458.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 26 Mar 2010 14:47:17 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu3) lucid; urgency=low

  * New dpatch, 80_splice_backport, backport of splice() support from r11055;
    LP: #537688.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 13 Mar 2010 10:36:14 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu2) lucid; urgency=low

  * Fix typo in 02_version dpatch: default.supp instead of debian.supp.
  * Only distclean if there's a Makefile.
  * Clean debian.supp.
  * Fix dependencies in rules to be -j safe and to patch before configure;
    also, use $(DPATCH_STAMPFN) dep instead of patch as the latter is PHONY
  * Forwarded manpage update proposal upstream in KDE #226609 and disabled
    patch 01_manpage since it fails to unapply due to upstream removing the
    manpage in distclean.
  * Configure with --disable-maintainer-mode.
  * Bump debhelper build-dep to >= 5.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 22:34:11 +0100

valgrind (1:3.6.0~svn20100212-0ubuntu1) lucid; urgency=low

  * New upstream SVN snapshot from r11040 (and VEX r1959).
    - Document in copyright that this snapshot tarball was created with "make
      BUILD_ALL_DOCS=no dist" in svn://svn.valgrind.org/valgrind/trunk while
      Debian #566591 affects the PDF build.
    - Also add BUILD_ALL_DOCS=no to rules for the same reason.
    - Update patch 02_version to apply to configure.in instead of configure
      and to only patch the version, bug contact, and DEFAULT_SUPP.
    - Drop patch 92_glibc-2.11-support, in upstream tarball.
    - Update patch 99_autoreconf.
    - Add armel to binary package architecture, lots of recent upstream
      development toward an ARM port recently!  :-)

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 18:34:15 +0100

valgrind (1:3.6.0~svn11254+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload as 1:3.6.0~svn11254+nmu1 since i386 already had
    1:3.6.0~svn11254+b1.
  * Set urgency to medium.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Oct 2010 17:27:09 +0200

valgrind (1:3.6.0~svn11254-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Man page misbuilt on i386": add docbook-xml to Build-Depends; thanks
    to Stefano Rivera for the analysis (closes: #597180).

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Oct 2010 00:16:51 +0200

valgrind (1:3.6.0~svn11254) unstable; urgency=low

  * New SVN snapshot.
    (Closes: #574810, #592345, #584912, #588997, #588263, #585809, #580210)
  * debian/control: Dropped build dependency on gcc-4.3 on amd64 (Closes: #559520)
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Removed. Already applied by upstream
  * debian/patches/01_more-vg-n-segments.dpatch
    - Increased VG_N_SEGMENTS to 25000 (Closes: #491195)
  * debian/README.Debian:
    - Updated (Closes: #433426)
  * debian/valgrind.bash:
    - Updated to make tools autocomplete well. (Closes: #549218)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 09 Aug 2010 14:35:45 +0000

valgrind (1:3.5.0+3.6.0svn20100609-1) experimental; urgency=low

  * New SVN snapshot.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Jun 2010 01:20:17 +0000

valgrind (1:3.5.0+3.6.0svn20100608-2) experimental; urgency=low

  * debian/rules:
    - Remove config.sub and config.guess symlinks before copying.
  * debian/control:
    - Added ARM as a supported architecture

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 20:37:48 +0000

valgrind (1:3.5.0+3.6.0svn20100608-1) experimental; urgency=low

  * New experimental release based on SVN trunk (2010/06/08)
  * debian/control:
    - Build-Depend on docbook, docbook-xsl and xsltproc to build documentation.
  * debian/rules
    - Create documentation
  * debian/manpages:
    - Added additional manpages

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 17:25:27 +0000

valgrind (1:3.5.0-3ubuntu2) lucid; urgency=low

  * New patches, 92_glibc-2.11-support, cherry-picked from upstream r10941;
    adds glibc 2.11 support, and 99_autoreconf.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 12:44:53 +0100

valgrind (1:3.5.0-3ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Refresh 91_build_with_fno_stack_protector.dpatch.
    - Add lpia to Architecture.
    - Drop completely bogus or'ed build-dep on gcc-4.3 on amd64
  * Dropped changes, superseded in Debian:
    - Move libc6-dbg to Recommends

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Dec 2009 01:06:45 +0000

valgrind (1:3.5.0-3) unstable; urgency=low

  * Rebuilt againts libc6 2.10.1.
  * debian/control:
    - Now libc6-dbg is a dependency (valgrind won't work without it now)
     (Closes: #556542, #556165, #553016)
    - Valkyrie added to suggested packages.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 17 Nov 2009 15:12:26 +0000

valgrind (1:3.5.0-2ubuntu2) karmic; urgency=low

  * Drop completely bogus or'ed build-dep on gcc-4.3 on amd64 - if the
    package in the archive builds for biarch, we shouldn't allow non-multilib
    gcc as an alternative, this would just result in a package misbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2009 01:28:53 +0000

valgrind (1:3.5.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Refresh 91_build_with_fno_stack_protector.dpatch.
    - Add lpia to Architecture.
  * Move libc6-dbg to Recommends (LP: #423485).

 -- Kees Cook <kees@ubuntu.com>  Fri, 02 Oct 2009 15:51:36 -0700

valgrind (1:3.5.0-2) unstable; urgency=low

  * debian/control:
    - Added libc6-dev-i386 to build-dependencies on amd64.
      May reopen #507752 but closes: #548067.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 24 Sep 2009 20:18:57 +0000

valgrind (1:3.5.0-1) unstable; urgency=low

  * New upstream version. (Closes: #545700)
  * debian/patches/02_version:
    - Updated to fit this new version (Thanks to Andreas Beckmann)
  * debian/patches/01_pcm-ioctl.patch:
    - Updated
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Added to increas VG_N_THREADS to 500. (Closes: #514133)
  * debian/docs:
    - ACKNOWLEDGEMENTS file is gone
  * debian/watch:
    - Added (Again, thanks to Andreas Beckmann)
  * debian/control:
    - Removed Uploaders field (Closes: #519380, #540834)
  * debian/valgrind.bash:
    - Provides a first bash completion script for valgrind. (Closes: #539137)
      Thanks to Jerome Reybert
  * debian/debian.supp:
    - Updated to fit Debian's libc6 2.10.x

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Sep 2009 16:26:29 +0000

valgrind (1:3.4.1-1ubuntu2) karmic; urgency=low

  * Rebuild to include suppressions for libc6 2.10.x (LP: #423485).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Sep 2009 15:12:18 +0100

valgrind (1:3.4.1-1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Add 91_build_with_fno_stack_protector.dpatch.
    - Add lpia to Architecture.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2009 18:27:01 +0100

valgrind (1:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/debian.supp:
    - Updated suppressions to fit libc6 2.9.x. (Closes: #516337, #516100)
  * debian/copyright:
    - Change the URL of valgrind to www.valgrind.org. (Closes: 	#518287)
  * debian/patches/01_valgrind.pc.dpatch:
    - Removed. Already fixed by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 05 Mar 2009 15:19:16 +0000

valgrind (1:3.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #512816)
  * debian/patches/01_valgrindrc.dpatch:
    - Removed. Already applied by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 29 Jan 2009 21:13:26 +0000

valgrind (1:3.3.1-3) unstable; urgency=low

  * debian/patches/01_valgrindrc.dpatch:
    - New patch to avoid reading and executing .valgrindrc files unless done
      by the onwer of the file. This fixes CVE-2008-4865 (Closes: #507312)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 03 Dec 2008 16:42:11 +0000

valgrind (1:3.3.1-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   - Add 91_build_with_fno_stack_protector.dpatch
   - Add lpia to Architecture

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Jun 2008 09:57:35 +0200

valgrind (1:3.3.1-2) unstable; urgency=low

  * debian/rules:
    - Forgot to copy debian-libc6-dbg.supp to /usr/lib/valgrind.
      (Closes: #486021)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 13 Jun 2008 02:31:40 +0000

valgrind (1:3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Re-debianized from the scratch.
  * debian/valgrind.sh:
    - Avoid to add the same suppression on programs that re-execute
      themselves. (Closes: #479165)
  * debian/control:
    - Made valgrind buildable for etch. (Closes: #472335)
  * Bumped standard version to 3.7.3

 -- Andrés Roldán <aroldan@debian.org>  Wed, 11 Jun 2008 23:10:08 +0000

valgrind (1:3.3.0-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - Add 91_build_with_fno_stack_protector.dpatch
   - Add lpia to Architecture

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 06 Jan 2008 11:28:10 +0000

valgrind (1:3.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #455855)
    - Now valgrind will compile natively on glibc > 2.6
      (Closes: #453195, #441749)
    - Suppressions are now updated for the latest glibc on sid.
      (Closes: #356777)
  * debian/patches/01_amd64-nops.dpatch:
    - Removed, already applied by upstream.
  * debian/patches/01_suppression-strip.dpatch:
    - Removed. Don't be jealous of your brother, Andy :)
  * debian/patches/01_valgrind.pc.dpatch:
    - Corrects pkg-config information. (Closes: #452307)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 12 Dec 2007 20:39:58 +0000

valgrind (1:3.2.3-3ubuntu2) hardy; urgency=low

  * Fix FTBS with new libc6 2.7 not recognized by valgrind's
    configure script (backported from svn)
    - add debian/patches/92_valgrind-libc6-2.7.dpatch
    - add debian/patches/99_update_configure.dpatch
    - update debian/patches/00list

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 10 Dec 2007 20:54:23 +0100

valgrind (1:3.2.3-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build package for lpia
    - Build using -fno-stack-protector
  * Drop 21_amd64_kde148447_NEW_nop_codes.dpatch merged
    into 01_amd64-nops.dpatch
    - update debian/patches/00list
  * Bump Standards-Version to 3.7.2
    - update debian/control
  * Drop DH_COMPAT=3 from rules and add compat=5
    - update debian/rules
    - add debian/compat

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 06 Dec 2007 19:11:43 +0100

valgrind (1:3.2.3-3) unstable; urgency=low

  * debian/FAQ.txt:
    - Provided there to solve FTBFS if valgrind is built twice in a row
      (Closes: #424129)
  * debian/patches/01_amd64-nops.dpatch:
    - Patch to handle new way of writing NOPs by binutils. (Closes: #437503)
  * debian/patches/01_configure.dpatch:
    - Merged into 02_version.patch
  * debian/patches/03_valgrind-libc6-2.6.dpatch:
    - Took off from dpatch and merged into debian diff.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 23 Aug 2007 22:41:13 +0000

valgrind (1:3.2.3-2ubuntu3) gutsy; urgency=low

  * debian/patches/21_amd64_kde148447_NEW_nop_codes.dpatch:
    - import patch from http://bugs.kde.org/show_bug.cgi?id=148447#c16 to fix
      LP: #148465.

 -- Alexander Sack <asac@ubuntu.com>  Sat, 06 Oct 2007 02:27:32 +0200

valgrind (1:3.2.3-2ubuntu2) gutsy; urgency=low

  * Build package for lpia.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Aug 2007 19:26:18 +0200

valgrind (1:3.2.3-2ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Build using -fno-stack-protector.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Aug 2007 20:14:42 +0200

valgrind (1:3.2.3-2) unstable; urgency=low

  * debian/patches/03_valgrind-libc6-2.6.dpatch:
    - Patch based on Gentoo's to make valgrind compiles under glibc 2.6.
      Thanks to francesco.pedrini@gmail.com. (Closes: #433899)
  * debian/control:
    - Depends on gcc-multilib [amd64] instead of libc6-dev-i386 [amd64] to
      solve FTBFS on amd64. (Closes: #425834)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 17 Aug 2007 13:18:21 +0000

valgrind (1:3.2.3-1ubuntu2) gutsy; urgency=low

  * No-change upload to work around a soyuz bug and build on lpia.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Aug 2007 01:32:33 +1000

valgrind (1:3.2.3-1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Build using -fno-stack-protector.
    - Build-depend on gcc-multilib.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 May 2007 13:27:02 +0200

valgrind (1:3.2.3-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Removed ia32-libs-dev [amd64] and libc6-dev-i386 [amd64] dependencies.
      (Closes: #357288, #341186)
  * debian/valgrind.sh
    - Removed /usr/X11R6/lib/debug from DBGPATH. (Closes: #365119)
  * debian/debian.supp:
    - Added suppressions for glibc static allocations. (Closes: #350347)

 -- Andrés Roldán <aroldan@debian.org>  Thu,  1 Feb 2007 20:41:46 +0000

valgrind (1:3.2.1-1ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:27:22 +0000

valgrind (1:3.2.1-1ubuntu1) feisty; urgency=low

  * Sync with Debian:
    + debian/control:
      - Drop build dependency on ia32-libs-dev
    + debian/patches/91_build_with_fno_stack_protector.dpatch:
      - Build with -fno-stack-protector to fix FTBFS
  * debian/glibc-2.5.supp,
    debian/rules:
    + Add suppresion file from SVN for glibc 2.5

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 16 Nov 2006 17:56:30 +0100

valgrind (1:3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrés Roldán <aroldan@debian.org>  Thu,  5 Oct 2006 15:28:35 +0000

valgrind (1:3.2.0-2ubuntu3) edgy; urgency=low

  * debian/patches/90_from_svn_fix_cfsi_len_assertion.dpatch:
    - updated the limit, some applications were still not happy with the 
      previous one

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 12 Oct 2006 00:29:01 +0200

valgrind (1:3.2.0-2ubuntu2) edgy; urgency=low

  * debian/patches/90_from_svn_fix_cfsi_len_assertion.dpatch:
    - patch from SVN, fix cfsi->len assertion on amd64 (Ubuntu: #60589)
  * debian/patches/91_build_with_fno_stack_protector.dpatch:
    - add -fno-stack-protector to CFLAGS to fix the build

 -- Sebastien Bacher <seb128@canonical.com>  Fri,  6 Oct 2006 00:40:18 +0200

valgrind (1:3.2.0-2ubuntu1) edgy; urgency=low

  * Sync with Debian:
    + Drop build dependency on ia32-libs-dev

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 26 Jun 2006 00:17:17 +0200

valgrind (1:3.2.0-2) unstable; urgency=low

  * New upstream release. (Closes: #373578)
    - Now callgrind is one of the main valgrind tools.
    - Add conflict (and provide) valgrind-callgrind.
  * debian/patches/02_load-address:
    - Not applied as it is not needed anymore.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 15 Jun 2006 00:21:07 +0000

valgrind (1:3.1.1-1) unstable; urgency=low

  * Acknowledging NMU. Thanks Kurt.
  * New upstream release
  * Updated 02_version and 01_suppression-strip patches
  * Updated debian.supp
  * Suggests alleyoop and valgrind-callgrind instead of callgrind

 -- Andrés Roldán <aroldan@debian.org>  Wed, 29 Mar 2006 22:23:53 +0000

valgrind (1:3.1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build dependency on libc6-dev-i386 [amd64] | ia32-libs-dev [amd64]
    so that it can get build on amd64.  (Closes: #341186)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  4 Feb 2006 15:12:53 +0100

valgrind (1:3.1.0-2) unstable; urgency=low

  * debian/control:
    - Updated package description.
    - Added powerpc to Architecture list. (Closes: #270557)
  * Changed valgrind base load address. (Closes: #341252)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 30 Nov 2005 16:29:24 +0000

valgrind (1:3.1.0-1) unstable; urgency=low

  * New upstream release.
    - Now it can load symbol table of large binaries.
      (Closes: #337196, #319243)
    - Now it runs on ppc. (Closes: #270557)
  * debian/patches/01_suppression-strip.dpatch:
    - Removes an existent Debian suppression.

 -- Andrés Roldán <aroldan@debian.org>  Mon, 28 Nov 2005 15:48:15 +0000

valgrind (1:3.0.1-2) unstable; urgency=low

  * debian/patches/02_version.dpatch:
    - Adds "Debian" to package version string
  * debian/debian.supp:
    - Adds suppression for Debian's libc6 2.3.5 dynamic linker.
      (Closes: #331727, #326832)

 -- Andrés Roldán <aroldan@debian.org>  Wed,  2 Nov 2005 14:35:58 +0000

valgrind (1:3.0.1-1) unstable; urgency=low

  * New upstream version.
  * Standard version is now 3.6.2.

 -- Andrés Roldán <aroldan@debian.org>  Thu,  1 Sep 2005 16:16:35 +0000

valgrind (1:3.0.0-1) unstable; urgency=low

  * New upstream release. (Closes:
    - Now valgrind run on AMD64.
  * debian/patches/{01_manpage,01_configure,01_pcm-ioctl}.dpatch:
    - Updated to fit this version.
  * debian/patches/{01_vgPlain_do_syscall,11_errorcode}.dpatch:
    - Removed. Not longer needed.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 12 Aug 2005 14:47:42 +0000

valgrind (1:2.4.1-1) unstable; urgency=low

  * New stable release.

 -- Andrés Roldán <aroldan@debian.org>  Tue,  2 Aug 2005 13:00:20 +0000

valgrind (1:2.4.0-3) unstable; urgency=low

  * debian/valgrind.sh:
    - Prepends LD_LIBRARY_PATH over DBGPATH. (Closes: #304315)
    - Adds GLIBCPP_FORCE_NEW=1 (for gcc < 3.4) and GLIBCXX_FORCE_NEW=1 (for
      gcc >= 3.4) to force C++ STL to use malloc and to free memory by
      disabling memory caching (Closes: #307956)
  * debian/patches/01_manpage.dpatch:
    - New, adds reference to valgrind's authors and contributos on manpage.
      (Closes: #304902)
  * debian/patches/01_pcm-ioctl.dpatch:
    - New, adds PCM ioctls. (Closes: #305051)
      Patch sent by Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * debian/debian-libc6-dbg.supp:
    - Updated. Thanks to Jeremy Nimmer <jwnimmer@alum.mit.edu>.
      (Closes: #302250)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 20 May 2005 10:37:30 +0000

valgrind (1:2.4.0-2) unstable; urgency=low

  * debian/debian-libc6-dbg.supp:
    - New file that includes suppressions for libc6-dbg/libpthread library.
      (Closes: #302250)
  * debian/valgrind.sh:
    - As memcheck is officialy the default tool, removed --tool=memcheck from
      VALGRIND_OPTS.
    - Will use /usr/lib/debian-libc6-dbg.supp if and only if using libc6-dbg.

 -- Andrés Roldán <aroldan@debian.org>  Fri,  8 Apr 2005 13:37:28 +0000

valgrind (1:2.4.0-1) unstable; urgency=low

  * New stable upstream release.
  * debian/valgrind.1:
    - Removed as it is already provided and maintained by upstream based on
      Debian's manpage. (Closes: #293049, #298222)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 28 Mar 2005 14:59:35 +0000

valgrind (1:2.2.0+2.4.0rc4+1-1) unstable; urgency=low

  * New RC upstream release.
    - Fix unexpected SIGSEGV when using memcheck on programs where the
      first write to a particular 64k chunk is done by the FPU.
    - Fix a problem with the sys_futex wrapper which was inspecting
      the wrong arguments for FUTEX_REQUEUE. (Closes: #299514)
    - Format fixup for a debug printf.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 15 Mar 2005 13:47:00 +0000

valgrind (1:2.2.0+2.4.0rc4-1) unstable; urgency=low

  * New RC upstream release.
    - Make sure that an FP write to a distinguished map makes it
      un-distinguished.

 -- Andrés Roldán <aroldan@debian.org>  Mon, 14 Mar 2005 19:32:24 +0000

valgrind (1:2.2.0+2.4.0rc3-1) unstable; urgency=low

  * New RC upstream release.
    - Fix which prevents an assertion failure when a threaded program
      forks, and the child starts a thread.
    - Fix a problem in which signals which have the default action of
      "ignore" (SIGCONT, WINCH, USR and CHLD) interrupted a blocked
      syscall.  For these signals, Valgrind doesn't set a signal handler
      unless the client needs one.
    - Remove segment merging from mprotect(), which was causing rtldi to
      trigger a Valgrind internal error.
    - Fix the parsing of the 'R' floating-point type in the stabs parser.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 12 Mar 2005 18:39:19 +0000

valgrind (1:2.2.0+2.4.0rc2-1) unstable; urgency=low

  * Yet another RC upstream version.
  * debian/patches/12_errhandling.dpatch:
    - Removed. Already on upstream source.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 11 Mar 2005 13:38:46 +0000

valgrind (1:2.2.0+2.4.0rc1-1) unstable; urgency=low

  * New RC upstream release. (See upstream's changelog) (Closes: #296323)
    - libpthread has gone along with all the bugs associated with it.
      Instead, Valgrind now emulates the kernel's threading syscalls
      (clone, etc), and lets the user use your standard system
      libpthread. (Closes: #283995)
    - Signal handling should now be indistinguishable from running
      natively. (Closes: #230785, #252520)
    - Valgrind is built in Position Independent Executable (PIE) format
      if the toolchain supports it.  This allows it to take advantage
      of all the available address space on systems with 4Gbyte user
      address spaces. (Closes: #272270, #288640)
  * debian/debian.supp:
    - Added zlib1g suppression. (Closes: #287603)
    - Added pthread_initialize suppression.
  * debian/patches/:
    - Removed some patches as they are already on upstream source.
    - {01_vgPlain_do_syscall,11_exitcode}.dpatch: Updated.
    - 12_errhandling.dpatch: Stops the error handling code trying to
       match object and function names against a suppression if it
       wasn't able to obtain the relevant name.

 -- Andrés Roldán <aroldan@debian.org>  Wed,  9 Mar 2005 21:07:41 +0000

valgrind (1:2.2.0-4) unstable; urgency=low

  * debian/patches/18_cpp-stabs.dpatch:
    - This patch attempts to fix the parsing of C++ stabs involving ::
      delimiters.
  * debian/patches/19_pthread_attr_getinheritsched.dpatch:
    - Adds a dummy implementation of pthread_attr_getinheritsched.
  * debian/patches/20_pthread_condattr_getsetpshared.dpatch:
    - Adds a dummy implementation of pthread_condattr_getpshared and
      pthread_condattr_setpshared.
  * debian/valgrind.default:
    - Removed. Useless file that nobody uses. (Closes: #279705)
  * debian/debian.supp:
    - Appended python suppression file provided by python's maintainer.
  * debian/control:
    - Suggests valgrind-callgrind instead of valgrind-calltree.
      (Closes: #278621)
  * debian/valgrind.sh:
    - Some cosmetic changes.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 16 Nov 2004 18:44:04 +0000

valgrind (1:2.2.0-3) unstable; urgency=low

  * debian/patches/01_cachegrind.dpatch:
    - Cope with arguments over 510 characters in length when writing the
      cachegrind output file.
  * debian/patches/02_cachegrinderrno.dpatch:
    - This patch makes cachegrind report the reason why it was unable to open
      the output file.
  * debian/patches/15_pthread_mutexattr_gettype.dpatch:
    - Implements pthread_mutexattr_gettype().
  * debian/patches/16_pthread_mutex_lock.dpatch:
    - Warns about a possible deadlock on thread.
  * debian/patches/17_statvfs64.dpatch:
    - Fixed the statfs64 wrapper to look at the right argument for the stat
      buffer and added an fstatfs64 wrapper.
  * debian/valgrind.sh:
    - Adds /usr/X11R6/lib/debug to LD_LIBRARY_PATH. (closes: #274972)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 14 Oct 2004 13:35:43 +0000

valgrind (1:2.2.0-2) unstable; urgency=medium

  * debian/patches/13_sched_setaffinity-getaffinity.dpatch:
    - Adds support for sched_setaffinity() and sched_getaffinity() syscalls.
  * debian/patches/14_ioctls.dpatch:
    - Adds support for the following ioctls:
      + TIOCMBIS.
      + TIOCMBIC.
      + SG_EMULATED_HOST.
      + SG_GET_SG_TABLESIZE.
      + CDROMMULTISESSION.
      + CDROMVOLREAD.
      + CDROMREADAUDIO.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Sep 2004 21:41:45 +0000

valgrind (1:2.2.0-1) unstable; urgency=low

  * New stable release. (closes: #234030)
  * Updated patches according to this new version.
  * Removed some patches already on upstream source.
  * Make debian.supp the default suppression file for Debian.

 -- Andrés Roldán <aroldan@debian.org>  Wed,  1 Sep 2004 23:44:33 +0000

valgrind (1:2.1.2-3) unstable; urgency=low

  * debian/patches/01_libpthread.dpatch:
    - Patch to improving the logic in valgrind's libpthread that handles
      looking for functions in libc to forward to. If you have assertions
      like "Assertion `open_ptr != ((void *)0)", you may love this patch.
  * debian/patches/01_memcpy.dpatch:
    - Patch to remove warning when passing an uninitialized pointer to memcpy
      when length to copy is zero.
  * debian/patches/02_si_addr-SIGFPE.dpatch:
    - This patch should make valgrind fixup si_addr in the siginfo structure
      when SIGFPE is received so that it points at the right instruction.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 26 Aug 2004 19:16:34 +0000

valgrind (1:2.1.2-2) unstable; urgency=low

  * debian/patches/01_sfence.dpatch: New. Move the decoding of SFENCE out of
    the SSE only part of disInstr.
  * debian/patches/01_ssort.dpatch: New. ssort() failed when signed int return
    type from comparison is too small to handle result of unsigned int
    subtraction.
  * debian/patches/02_sbbl.dpatch: New. gcc sometimes generates "sbbl
    %reg,%reg" to convert the carry flag into 0 or -1 in reg.  This has no
    actual dependency on reg, but memcheck can't see that, and so will help
    if reg contains garbage.
  * debian/valgrind.1:
    + s/--logfile-fd/--log-fd/
    + s/--logfile/--log-file/
    + s/--logsocket/--log-socket/

 -- Andrés Roldán <aroldan@debian.org>  Sun,  8 Aug 2004 17:08:08 +0000

valgrind (1:2.1.2-1) unstable; urgency=low

  * New upstream release. (See changelog) (closes: #248887, #258652)
  * Removed the following patches (already on upstream's package):
    - 01_hp2ps
    - 13_detailed_types
    - 14_db-attach
    - 15_async_io_syscalls.dpatch
    - 16_hdio_get_identity
    - 17_siocgmiiphy-siocgmiireg
  * Update the following patches:
    - 01_configure.dpatch
    - 01_vgPlain_do_syscall.dpatch
    - 11_exitcode.dpatch
    - 01_ipc_stuff.dpatch
    - 10_ansi-vg.dpatch
    - 12_readdir.dpatch
  * debian/patches/01_gettid.dpatch: New. Should closes: #238925

 -- Andrés Roldán <aroldan@debian.org>  Tue, 20 Jul 2004 21:12:16 +0000

valgrind (1:2.1.1-4) unstable; urgency=low

  * debian/valgrind.sh:
    - Quoted VALGRIND_OPTS to avoid conflicts with multiple pre-defined
      options. (closes: #245241)
  * debian/valgrind.1:
    - Documented gen-suppressions option. (closes: #243734)
    - sed -e 's/Valgrind/\\fIvalgrind\\fP/g' valgrind.1
  * debian/patches/15_async_io_syscalls.dpatch:
    - New. Adds support for asyncronous io syscalls.
  * debian/patches/16_hdio_get_identity.dpatch:
    - New. Addes support for HDIO_GET_IDENTITY syscall.
  * debian/patches/17_siocgmiiphy-siocgmiireg.dpatch:
    - New. Adds support SIOCGMIIPHY and SIOCGMIIREG.

 -- Andrés Roldán <aroldan@debian.org>  Sun, 20 Jun 2004 16:58:22 -0500

valgrind (1:2.1.1-3) unstable; urgency=low

  * debian/valgrind.1: Updated.
    - Added --track-fds description.
    - Added lax-ioctls weird hack description.
    - Added --db-attach description.
    - Added --db-command description.
    - Added --tool description.
    - Removed --gdb-attach description.
    - sed -e 's/skins/tools/g'
    - (closes: #241678, #241329)
  * debian/patches/14_db-attach.dpatch: New. Makes --db-attach=yes work again.
    (closes: #241676)
  * debian/patches/01_hp2ps.dpatch: New. Solves problem of massif creating
    PostScript(R) files.

 -- Andrés Roldán <aroldan@debian.org>  Thu,  8 Apr 2004 14:19:07 -0500

valgrind (1:2.1.1-2) unstable; urgency=medium

  * debian/control:
    sed -ne '/^Description:/,//p' control | sed -e 's/skins/tools/g'
  * debian/patches/12_readdir.dpatch: New. Add support for readdir syscall.
    (closes: #237996)
  * debian/patches/11_exitcode.dpatch: Upgraded. Now --version exits with 0
    too. (closes: #238048)
  * debian/patches/13_detailed_types.dpatch: New. Adds support for
    --detailed-types option which extract detailed type info from debug
    sections.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 19 Mar 2004 08:57:46 -0500

valgrind (1:2.1.1-1) unstable; urgency=low

  * New upstream version.
    - This version contains some internal structural changes needed for
      valgrind's long-term future.  These don't affect end-users.
      It closes: #230785, #221413
    - Greater isolation between Valgrind and the program being run, so
      the program is less likely to inadvertently kill Valgrind by doing
      wild writes.
    - Massif: a new space profiling tool. It will tell you in detail where
      and when your C/C++ code is allocating heap.
      Draws pretty .ps pictures of memory use against time. A potentially
      powerful tool for making sense of your program's space use.
    - Fixes for many bugs, including support for more SSE2/SSE3 instructions,
      various signal/syscall things, and various problems with debug info
      readers. (closes: #221659)
    - glibc 2.3.2 w/NPTL is massively different than what valgrind expects.
    - It now fully supports sysinfo page in 2.6 kernels.
      (closes: #217736, #227894, #229706, #230198)
  * The following patches has been updated:
    12_ipc_stuff.dpatch renamed to 01_ipc_stuff.dpatch.
    07_more_sem.dpatch renamed to 01_more_sem.dpatch.
    10_ansi-vg.dpatch.
    11_exitcode.dpatch.
  * The following patches has been removed. They are already on the
    upstream package:
    10_vg_stabs2.dpatch.
    01_vg_symtab2.c.dpatch.
    09_vg_stabs.dpatch.
    10_epoll.dpatch.
  * The following patches has been removed. They are useless or deprecated:
    01_include-Makefile.am.dpatch.
    01_include-Makefile.in.dpatch.
    01_watchpoints.dpatch.
    06_vg_include.h.dpatch.
    10_timestamp.dpatch.
    02_stack_addresses.dpatch.
  * debian/valgrind.doc: Removed PATCHES_APPLIED from the list.
  * debian/valgrind.default: Updated. Now you can especify valgrind options
    with VALGRIND_OPTS enviroment variable instead of VGOPTS.
  * debian/overrides: Added some overrides.
  * debian/valgrind.sh: Updated. Removed LD_ASSUME_KERNEL variable. Now it
    should handle things well. Besides, it will use memcheck as the default as
    now valgrind does not assume a default tool to use.

 -- Andrés Roldán <aroldan@debian.org>  Sat, 13 Mar 2004 04:32:15 +0000

valgrind (1:2.1.0-9) unstable; urgency=low

  * debian/patches/12_ipc_stuff.dpatch: New. Adds wrap of struct ipc_kludge to
    solve FTBFS bug. (closes: #236402)
  * debian/control: Build-Depends on dpatch (>> 2.0.0). (closes: #237214)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 10 Mar 2004 14:41:24 +0000

valgrind (1:2.1.0-8) unstable; urgency=low

  * Fix build failures on woody. Thanks to David Kimdon. (closes: #233498)
  * Now --help and --version exits with code 0. (closes: #234368)

 -- Andrés Roldán <aroldan@debian.org>  Tue,  2 Mar 2004 23:55:06 +0000

valgrind (1:2.1.0-7) unstable; urgency=low

  * Improved watchpoint patch. Thanks again to Robert Walsh
    <rjwalsh@durables.org>.
  * Added patch to add the --stack-addresses option which is used to show (or
    not show) the addresses in the stack trace output.
  * Added patch that lets GDB backtrace through vgPlain_do_syscall. Thanks to
    Daniel Jacobowitz <dan@debian.org>. (closes: #225475)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 16 Feb 2004 21:17:42 +0000

valgrind (1:2.1.0-6) unstable; urgency=low

  * Fixes bug generated by gcc which generates negatively-sized scopes and out
    of order line number information in the stabs debug info.
    Really fixes Bug#231093.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 11 Feb 2004 13:42:04 +0000

valgrind (1:2.1.0-5) unstable; urgency=low

  * Added support for epoll(4) syscalls, a variant of poll(2). This API is
    meaningful just for 2.5 and higher kernels.
  * Upgraded copyright file. The upstream URL has changed and it was not UTF-8
    encoded.
  * Added patch to support the --watchpoint option which allows the
    application to set a watchpoint on a memory location. See README.Debian
    for more information. Thanks to Robert Walsh <rjwalsh@durables.org>.
  * Added glib suppression sent by David Schleef <ds@schleef.org>.
    (closes: #231989)
  * Added patch to make the valgrind.h compile with strict ANSI gcc options.
    (closes: #231604)

 -- Andrés Roldán <aroldan@debian.org>  Tue, 10 Feb 2004 18:43:25 +0000

valgrind (1:2.1.0-4) unstable; urgency=low

  * Added patch that fixes segfault with Objective-C debug info.
    (closes: #229925)
  * Added anothers suppressions to mitigate the error output due to missing
    syscall page support for 2.6 kernels.

 -- Andrés Roldán <aroldan@debian.org>  Wed,  4 Feb 2004 01:39:02 +0000

valgrind (1:2.1.0-3) unstable; urgency=medium

  * Applied patch to handle volatile qualifiers with stabs. The former patch
    just applied the const qualifiers patch.

 -- Andrés Roldán <aroldan@debian.org>  Sun,  1 Feb 2004 21:15:46 +0000

valgrind (1:2.1.0-2) unstable; urgency=low

  * Added patch to handle volatile and const qualifiers with stabs.
    (closes: #226217)
  * Added patch to show a timestamp in the output with the --time-stamp
    option.
  * Added $(MAKE) regtest to check valgrind when it's building.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  5 Jan 2004 18:59:44 +0000

valgrind (1:2.1.0-1) unstable; urgency=low

  * New upstream version.
    - Removed the following patches (already included in main source):
       02_valgrind-2.6-headers-fixes
       03_vg_main.c
       04_vg_syscalls.c
       05_vg_replace_malloc.c
       07_gettid_syscall
       07_lfence_mfence
       08_scas
    - Now blocking syscalls behave behave exactly as they do when running
      natively (not in valgrind). Hopefully closes: #166514
    - Added support for file descriptors leakage checks (--track-fds=yes).
      When enabled, valgrind will print out a list of open file descriptors
      on exit.
  * Increased the number of semaphores supported. (closes: #221745)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 17 Dec 2003 14:23:06 +0000

valgrind (1:2.0.0-4) unstable; urgency=low

  * Added new glibc suppressions.
  * Added stolen from head patch that implements  __NR_gettid (syscall 224).
  * Added stolen from head patch to support LFENCE and MFENCE.
  * Added stolen from head patch to implement SCAS.
  * Removed potato suppressions.
  * Updated sarge suppressions.

 -- Andrés Roldán <aroldan@debian.org>  Sat,  6 Dec 2003 02:33:13 +0000

valgrind (1:2.0.0-3) unstable; urgency=low

  * Renamed debian/patches files to the XX_name.dpatch scheme.
  * Included patch from Jim Meyering to support __NR_statfs64 (syscall 268)
    and __NR_utimes (syscall 271) syscalls.
  * Added patch to support posix_memalign function.
  * Increased the line error message. Useful when your code has long lines.
  * Improved 03_vg_main.c.dpatch. Hopefully closes: #206917

 -- Andrés Roldán <aroldan@debian.org>  Mon, 17 Nov 2003 18:14:02 +0000

valgrind (1:2.0.0-2) unstable; urgency=low

  * Build-depends and Recommends gdb. When configuring, it tries to determine
    where is gdb and if it's not installed, --gdb-attach will not work.
    (closes: #220729)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 14 Nov 2003 13:39:52 +0000

valgrind (1:2.0.0-1) unstable; urgency=low

  * New upstream version.
    - Removed patches to allow valgrind compile under kernel 2.6. It is
      already on the valgrind upstream source.
    - Removed compilation with profile support.
    - Removed patch that solved unhandled instruction bytes problem. It is
      already on the valgrind upstream source.
    - Removed patch that solved the stack corruption on valgrind. It is
      already on the valgrind upstream source.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 13 Nov 2003 23:06:21 +0000

valgrind (20031012-6) unstable; urgency=low

  * I didn't want this but even the upstream has not a better solution.
    It has been added LD_ASSUME_KERNEL=2.4.1 to the valgrind wrapper to solve
    all the bugs related to NPTL at the moment in valgrind. Really fix #218611
    and closes: #220161, #218609

 -- Andrés Roldán <aroldan@debian.org>  Tue, 11 Nov 2003 13:10:28 +0000

valgrind (20031012-5) unstable; urgency=low

  * Compiled with the latest libc6 (2.3.2.ds1-10) that added a patch to
    disable NPTL for programs that call the old errno. If this bug is
    still appearing on you, you may as well upgrade to libc6-2.3.2.ds1-10
    or newer. (closes: #218611)
  * Updated README.Debian. Read it please.

 -- Andrés Roldán <aroldan@debian.org>  Sat,  8 Nov 2003 17:10:09 +0000

valgrind (20031012-4) unstable; urgency=low

  * Added patch sent from Andrew Moise that solves the bugs arised with
    the latest libc6. Thanks to him. (closes: #218611, #218629, #218636)

 -- Andrés Roldán <aroldan@debian.org>  Mon,  3 Nov 2003 03:04:57 +0000

valgrind (20031012-3) unstable; urgency=low

  * Added patch that solves the unhandled instruction bytes bug found on
    valgrind.

 -- Andrés Roldán <aroldan@debian.org>  Mon, 20 Oct 2003 13:50:08 +0000

valgrind (20031012-2) unstable; urgency=low

  * Removed suggestion of valgrind-headers. (closes: #215262)
  * Added patch that solves the not-ever-reported bug of stack corruption on
    valgrind.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 16 Oct 2003 14:50:22 +0000

valgrind (20031012-1) unstable; urgency=low

  * New upstream version.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 15 Oct 2003 21:13:02 +0000

valgrind (20030725-8) unstable; urgency=low

  * Put together again all the package. I know, that was a bad idea.
  * Added vg_profile.c to includes.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Oct 2003 17:36:26 +0000

valgrind (20030725-7) unstable; urgency=low

  * At last, there has been included a full valgrind manpage written by me.
    (closes: #166561)

 -- Andrés Roldán <aroldan@debian.org>  Thu,  2 Oct 2003 20:44:29 +0000

valgrind (20030725-6) unstable; urgency=low

  * The "I'm feeling smart today (am I?)" release.
  * Changed maintainer's e-mail.
  * Bumped Standards-Version to 3.6.1.
  * Splitted into two packages: valgrind-headers (Headers only needed to
    create new skins) and valgrind (the core package).
  * Included "vg_profile.c" to some skins (cachegrind, corecheck, lackey and
    none) to make them support profiling.
  * Updated debian/README.Debian and debian/copyright.

 -- Andrés Roldán <aroldan@debian.org>  Sun, 28 Sep 2003 16:44:04 -0500

valgrind (20030725-5) unstable; urgency=low

  * Added new XFree86 suppression to sid.supp.
  * Removed useless build-depend on sharutils.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Sun, 14 Sep 2003 05:12:48 +0000

valgrind (20030725-4) unstable; urgency=low

  * Now it really compiles on 2.6 kernels. (closes: #208142)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Wed,  3 Sep 2003 22:44:00 +0000

valgrind (20030725-3) unstable; urgency=low

  * Changed the valgrind wrapper. It didn't work when it was using libraries
    on a non-standard location. (Thanks Jason :). (closes: #207771)
  * Added patch to support compilation for 2.6 kernels (closes: #208142)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Mon,  1 Sep 2003 16:38:59 +0000

valgrind (20030725-2) unstable; urgency=low

  * Added suggestion to use libc6-dbg which shows pretty important debugging
    information.
  * Added wrapper to use libc6-dbg if it's installed.
  * Added sid.supp to work with the newest libc6 version.
  * Built with newer libc6.
  * Added patch to support waitpid syscall. (closes: #206366)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Wed, 20 Aug 2003 16:42:37 +0000

valgrind (20030725-1) unstable; urgency=low

  * New upstream version taken from cvs head. Fixes some minor bugs.
  * Fixed debian-specific suppressions errors. (closes: #202126)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Tue, 29 Jul 2003 02:07:08 +0000

valgrind (20030716-1) unstable; urgency=low

  * New upstream version taken from cvs head. (closes: #188155)
  * Add suggestion to use valgrind-calltree which is needed to make a good use
    of kcachegrind (closes: #193169)
  * Bumped Standard-Version to 3.6.0. Changelog and control is now UTF-8
    enconded.
  * Updated long description.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Fri, 18 Jul 2003 14:25:19 +0000

valgrind (1.9.6-1) unstable; urgency=low

  * New upstream version.
  * Removed the patch from Anders Gustafsson since it is already on the
    upstream source.
  * Added FAQ.txt to documentation (please read it).
  * Changed default suppresion to sarge.supp. I left woody.supp and
    potato.supp for compatibility.
  * Added a stolen-from-HEAD patch from Crispin Flowerday that closes all the
    opened file descriptors when the work is done.
  * Added a stolen-from-HEAD patch from Jeffrey Stedfast to avoid confussion
    when the number of the suppression callers is >= VG_N_SUPP_CALLERS.
  * Added a stolen-from-HEAD patch from Troels Walsted Hansen that allows reuse
    of the socket.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Sat, 10 May 2003 18:53:36 +0000

valgrind (1.9.5-2) unstable; urgency=low

  * Change index.html to manual.html in doc-base (closes: #189749, #190180)
  * Fixed some minor typo issues.
  * Added some overrides of some unstripped share objects.
  * valgrind --help now goes to stdout (closes: #189657)
  * Applied patch from Anders Gustafsson to make valgrind usable for
    linux-2.5.68. (closes: #191347)

 -- Andrés Roldán <aroldan@fluidsignal.com>  Sat, 28 Apr 2003 08:45:10 +0000

valgrind (1.9.5-1) unstable; urgency=low

  * New maintainer.
  * Began to use the devel branch of valgrind as the default version.
    See README.Debian.
    (closes: #166514, #179248, #186924, #179114)
  * Bumped up Standard-Version according to latest Debian Policy.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Wed, 16 Apr 2003 22:56:26 +0000

valgrind (1.0.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Patched to support __NR_exit_group syscall.  Requires compilation
    against a kernel with __NR_exit_group defined.  Closes: #179581.
  * Remove configure generated files.
  * Add a trailing new line to debian/docs, to quiet dpkg-source.
  * Remove dh_testroot call from clean target in rules.  Closes: #174263.
  * Fix the config.sub/config.guess out of date problem, by depending on
    autotools-dev.
  * Remove call to dh_undocumented.
  * Remove debian/conffiles, as this is done automatically now.
  * Fix boilerplate text in debian/copyright, which was from dh_make.
  * Mostly lintian clean.  All that is left is to write some manpages.

 -- Adam Heath <doogie@debian.org>  Fri,  7 Feb 2003 13:16:59 -0600

valgrind (1.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt to work with current glibc (closes: #173918).

 -- Robert Bihlmeyer <robbe@debian.org>  Thu, 26 Dec 2002 17:55:58 +0100

valgrind (1.0.4-2) unstable; urgency=low

  * removed the conflicts: against libc6 2.3 -- upstream 1.0.4 is happy with
  that libc now (Closes: #165361)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Wed, 23 Oct 2002 08:46:04 +0200

valgrind (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Added a conflicts: against libc6 2.3 until I can investigate more. If
    things go well, -2 should lift this restriction.
  * Includes the Call Tree patch-0.2b-valgrind-1.0.4.gz from Josef Weindorfer
  * Includes the ValGui support patch vg104-after-ct0.2b.diff from Eric
    Estievenart.
  * added FAQ.txt to the docs

 -- Cyrille Chepelov <cyrille@chepelov.org>  Mon, 21 Oct 2002 07:20:42 +0200

valgrind (1.0.3-2) unstable; urgency=low

  * added an experimental patch from upstream,
    valgrind-1.0.3-gcc3.1-and-above-patch1.txt. This should help reducing
    the amount of noise when compiling with gcc3.1 and above.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Tue, 24 Sep 2002 21:23:00 +0200

valgrind (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #160469)
  * added a "suggests" on kcachegrind
  * Includes the Call Tree patch-0.2a-valgrind-1.0.2.gz from Josef Weindorfer,
  to improve compatibility with kcachegrind (Closes: #161208)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Thu, 19 Sep 2002 07:20:50 +0200

valgrind (1.0.1-2) unstable; urgency=low

  * Add forgotten upstream ChangeLog (Closes: #159333)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Mon,  2 Sep 2002 18:52:25 +0200

valgrind (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #154921)
  * added CURRENT_BUG_STATUS to the doc directory.
  * Using the same maintainer address for all packages, sheesh!

 -- Cyrille Chepelov <chep@debian.org>  Wed, 28 Aug 2002 09:48:30 +0200

valgrind (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #154394)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat, 27 Jul 2002 16:51:14 +0200

valgrind (1.0pre6-1) unstable; urgency=low

  * New upstream release

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sun, 21 Jul 2002 17:26:16 +0200

valgrind (1.0pre2-2) unstable; urgency=low

  * removed call to dh_strip, at upstream's request
  * Added an override against unstripped-binary-or-object, after shaleh gave
  green light.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Fri, 21 Jun 2002 15:12:24 +0200

valgrind (1.0pre2-1) unstable; urgency=low

  * New upstream release. Should hopefully close #150588.

  * installs file valgrind.h into /usr/include  (Closes: #147718). In
    fact, install now uses 'make install' which has been available for a
    while.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Fri, 21 Jun 2002 14:26:54 +0200

valgrind (0.0.20020511-1) unstable; urgency=low

  * New upstream release. Should close #145554; waiting for feedback
    before closing this bug.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat, 11 May 2002 21:48:51 +0200

valgrind (0.0.20020503b-2) unstable; urgency=low

  * Added a "local" suppressions file in the default conffile (Closes
    #145691 a more complete way without code-level changes).

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sun,  5 May 2002 21:52:57 +0200

valgrind (0.0.20020503b-1) unstable; urgency=low

  * New upstream release. This one fixes a major bug from the last two
    snapshot packages (20020428 and 20020502).

  * added forgotten new binary libpthead.so (Closes: #145738)

  * Added a note in README.Debian about problems with running kernel 2.2
    with a binary built using kernel 2.4 (see #145554, which is not fixed yet).

  * Added a suppression for "ls -l" (Closes: 145727) and added a
    "debian.supp" temporary suppressions file. These suppressions should
    all be temporary, until upstream merges them.

  * Added a file, /etc/default/valgrind, which allows you to tweak
    default options for valgrind and cachegrind; in particular, the
    default suppressions file. (Closes: #145691)

  * Updated the control file to reflect the new features (libpthread,
    cachegrind)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sun,  5 May 2002 20:26:20 +0200

valgrind (0.0.20020502-1) unstable; urgency=low

  * New upstream release

  * Fixed description grammar/typography (Closes: #145311)

  * Fixed suppressions file generation. Now the package ships with "woody"
    and "potato" suppressions files (unconditionally uses "woody.supp" by
    default). (Closes: #145445)

  * Added a hint in README.Debian about the possibility to use the
    debugging libc6.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Thu,  2 May 2002 19:23:35 +0200

valgrind (0.0.20020428-1) unstable; urgency=low

  * New upstream release

  * This package now works only with glibc-2.2 (upstream also supports
  glibc-2.1)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Tue, 30 Apr 2002 07:30:04 +0200

valgrind (0.0.20020329-3) unstable; urgency=low

  * debian/control: added a build-dependency against glibc-2.2 (prevents
    attempts to build on potato; previous libc6-dev lacked a #define
    IPC_64 in linux/ipc.h). This again suggested by Cristian Ionescu-Idbohrn.

  * Reviewed the upgrading checklist, and bumped up the Standards-Version
    accordingly.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat,  6 Apr 2002 21:44:53 +0200

valgrind (0.0.20020329-2) unstable; urgency=low

  * debian/rules: better cleaned up ./configure-generated files (used
    distclean rather than clean).
  * valgrind.1: removed a small inconsistency in the parameter
    documentation.

  Both these issues were reported by Cristian Ionescu-Idbohrn
    <cristian.ionescu-idbohrn@axis.com>

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat,  6 Apr 2002 18:44:07 +0200

valgrind (0.0.20020329-1) unstable; urgency=low

  * New upstream release
  * This time hopefully I won't re-upload a previously-rejected version.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Sat,  6 Apr 2002 09:41:44 +0200

valgrind (0.0.20020320-1) unstable; urgency=low

  * New upstream version.
  * Fixed copyright file, which was lacking a mention of the GPL (oops).
  * added the README_MISSING_SYSCALL_OR_IOCTL docfile.

 -- Cyrille Chepelov <cyrille@chepelov.org>  Thu, 21 Mar 2002 19:05:21 +0100

valgrind (0.0.20020226-2) unstable; urgency=low

  * Updated description to reflect the fact that funky instruction and
    clone() are still unsupported. (Closes a comment from Joe Buck
    <Joe.Buck@synopsys.com>)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Wed, 27 Feb 2002 00:53:50 +0100

valgrind (0.0.20020226-1) unstable; urgency=low

  * New upstream release

 -- Cyrille Chepelov <cyrille@chepelov.org>  Tue, 26 Feb 2002 23:53:01 +0100

valgrind (0.0.20020224-1) unstable; urgency=low

  * Initial Release (closes: #135718)

 -- Cyrille Chepelov <cyrille@chepelov.org>  Mon, 25 Feb 2002 20:16:46 +0100

